Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.model.spatialschema
Interface MultiPrimitive

All Superinterfaces:
  Aggregate, Geometry, Serializable

All Known Subinterfaces:
  MultiCurve, MultiPoint, MultiSurface

All Known Implementing Classes:
  MultiCurveImpl, MultiPointImpl, MultiPrimitiveImpl, MultiSurfaceImpl

    public interface MultiPrimitive

extends Aggregate

This interface defines the basis functionality of all aggregations containing primitive geometries.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $

Author:
  Andreas Poth

Field Summary

Fields inherited from interface org.deegree.model.spatialschema.Geometry
`BUFFER_CAP_BUTT, BUFFER_CAP_ROUND, BUFFER_CAP_SQUARE`

Method Summary
`Primitive[]` | `getAllPrimitives()` returns all Primitives as array
`Primitive` | `getPrimitiveAt(int index)` returns the Primitive at the submitted index.

Methods inherited from interface org.deegree.model.spatialschema.Aggregate
`add, getAll, getIterator, getObjectAt, getSize, insertObjectAt, isMember, merge, removeAll, removeObject, removeObjectAt, setObjectAt`

Methods inherited from interface org.deegree.model.spatialschema.Geometry
`contains, contains, difference, distance, getBoundary, getBuffer, getBuffer, getCentroid, getConvexHull, getCoordinateDimension, getCoordinateSystem, getDimension, getEnvelope, getTolerance, intersection, intersects, isEmpty, isWithinDistance, setTolerance, translate, union`

Method Detail

### getPrimitiveAt

    Primitive getPrimitiveAt(int index)

  returns the Primitive at the submitted index.

  Parameters:
    `index` -
  Returns:
    the Primitive at the submitted index.

### getAllPrimitives

    Primitive[] getAllPrimitives()

  returns all Primitives as array

  Returns:
    all Primitives as array

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org